NSX Autonomous Edge REST API
Create an L2VPN session for HCX
Create an L2VPN session and the underlying L3VPN session.Request:
Method:
POST
URI Path(s):
/vpn/l2vpn/sessions
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
L2VPNSession+
Example Request:
POST https://<ip>/api/v1/vpn/l2vpn/sessions { "display_name" : "L2VPN session for network extension", "encryptionless" : false, "tcp_mss_clamping" : true, "tcp_mss_value" : 1600, "transport_tunnels" : [ { "local_address" : "10.10.10.1", "peer_address" : "20.20.20.1", "certificate_id" : "2b9bd96f-a8ff-4649-bb95-72594934ef0a", "trust_ca_ids" : ["998fdcd0-343c-499d-85eb-f99f68776282"], "peer_certificate" : "-----BEGIN CERTIFICATE-----\nSuccessful Response:
Response Code:
201 Created
Response Headers:
Content-type: application/json
Response Body:
L2VPNSession+